org.eclnt.jsfserver.streamstore

## Class StreamStoreJDBC

- java.lang.Object
- - org.eclnt.jsfserver.streamstore.StreamStoreJDBC

- All Implemented Interfaces:
    IStreamStore

      public class StreamStoreJDBC
      extends java.lang.Object
      implements IStreamStore

  Streamstore implementation that directly works with JDBC. The JDBC connection is provided by an interface IJDBCConnectionProvider - that internally is defined by a definition in the system.xml configuration file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamStoreJDBC()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIfStreamExists(java.lang.String path, boolean withError)`
    `java.util.List<java.lang.String>` | `getContainedFolders(java.lang.String path, boolean withError)`
    `java.util.List<java.lang.String>` | `getContainedStreams(java.lang.String path, boolean withError)`
    `java.lang.String` | `readUTF8(java.lang.String path, boolean withError)`
    `void` | `removeStream(java.lang.String path, boolean withError)`
    `void` | `writeUTF8(java.lang.String path, java.lang.String xml, boolean withError)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamStoreJDBC

          public StreamStoreJDBC()

  - ### Method Detail

    - #### getContainedStreams

          public java.util.List<java.lang.String> getContainedStreams(java.lang.String path,
                                                                      boolean withError)

      Specified by:
        `getContainedStreams` in interface `IStreamStore`

    - #### getContainedFolders

          public java.util.List<java.lang.String> getContainedFolders(java.lang.String path,
                                                                      boolean withError)

      Specified by:
        `getContainedFolders` in interface `IStreamStore`

    - #### readUTF8

          public java.lang.String readUTF8(java.lang.String path,
                                           boolean withError)

      Specified by:
        `readUTF8` in interface `IStreamStore`

    - #### writeUTF8

          public void writeUTF8(java.lang.String path,
                                java.lang.String xml,
                                boolean withError)

      Specified by:
        `writeUTF8` in interface `IStreamStore`

    - #### removeStream

          public void removeStream(java.lang.String path,
                                   boolean withError)

      Specified by:
        `removeStream` in interface `IStreamStore`

    - #### checkIfStreamExists

          public boolean checkIfStreamExists(java.lang.String path,
                                             boolean withError)

      Specified by:
        `checkIfStreamExists` in interface `IStreamStore`

Copyright © CaptainCasa Gmbh. All Rights Reserved.